Loading...
Searching...
No Matches
volk_32f_index_max_32u.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <xmmintrin.h>`
`#include <immintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32f_index_max_32u_u_H

## Functions

static void | volk_32f_index_max_32u_a_sse (uint32_t *target, const float *src0, uint32_t num_points)
static void | volk_32f_index_max_32u_a_avx (uint32_t *target, const float *src0, uint32_t num_points)
static void | volk_32f_index_max_32u_neon (uint32_t *target, const float *src0, uint32_t num_points)
static void | volk_32f_index_max_32u_generic (uint32_t *target, const float *src0, uint32_t num_points)
static void | volk_32f_index_max_32u_u_avx (uint32_t *target, const float *src0, uint32_t num_points)
static void | volk_32f_index_max_32u_u_sse (uint32_t *target, const float *src0, uint32_t num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_index_max_32u_u_H

#define INCLUDED_volk_32f_index_max_32u_u_H

## Function Documentation

## volk_32f_index_max_32u_a_avx()

void volk_32f_index_max_32u_a_avx | ( | uint32_t * | target,
|  | const float * | src0,
|  | uint32_t | num_points )

inline static

## volk_32f_index_max_32u_a_sse()

void volk_32f_index_max_32u_a_sse | ( | uint32_t * | target,
|  | const float * | src0,
|  | uint32_t | num_points )

inline static

## volk_32f_index_max_32u_generic()

void volk_32f_index_max_32u_generic | ( | uint32_t * | target,
|  | const float * | src0,
|  | uint32_t | num_points )

inline static

## volk_32f_index_max_32u_neon()

void volk_32f_index_max_32u_neon | ( | uint32_t * | target,
|  | const float * | src0,
|  | uint32_t | num_points )

inline static

## volk_32f_index_max_32u_u_avx()

void volk_32f_index_max_32u_u_avx | ( | uint32_t * | target,
|  | const float * | src0,
|  | uint32_t | num_points )

inline static

## volk_32f_index_max_32u_u_sse()

void volk_32f_index_max_32u_u_sse | ( | uint32_t * | target,
|  | const float * | src0,
|  | uint32_t | num_points )

inline static